# $Revision: 1.1 $, $Date: 2002/07/25 21:21:31 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Module
%define	pnam	Reload-Sel
Summary:	Module::Reload::Selective -- Reload perl modules during development.
Summary(pl):	Module::Reload::Selective -- Przeaduj modu perla w trakcie pracy.
Name:		perl-Module-Reload-Selective
Version:	1.02
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utility for module developers to selectively reload needed modules
and/or conditionally augment @INC with additional, per-developer library
directories, at development time based on environment variables.

%description -l pl
Narzdzie dla twrcw moduw, suce do wybirczego przeadowywania
moduw i/lub warunkowego dodawania do @INC dodatkowych, specyficznych
dla konkretnego developera katalogw z bibliotekami w trakcie pisania
programu w oparciu o zmienne rodowiskowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
#%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/Module/Reload
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Module-Reload-Selective.spec,v $
Revision 1.1  2002/07/25 21:21:31  radek
- new, STBR

